Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclSocketServIBase Class Reference

`#include <oscl_socket_serv_imp_base.h>`

Inheritance diagram for OsclSocketServIBase:

## Public Methods
virtual | ~OsclSocketServIBase ()
virtual int32 | Connect (uint32 aMessageSlots, bool aShareSession)=0
virtual void | Close (bool)=0
## Data Fields
PVLogger * | iLogger
## Protected Types
enum | TSocketServState { ESocketServ_Idle, ESocketServ_Connected, ESocketServ_Error }
## Protected Methods
| OsclSocketServIBase (Oscl_DefAlloc &a)
TSocketServState | State () const
bool | IsServConnected () const
## Protected Attributes
Oscl_DefAlloc & | iAlloc
TSocketServState | iServState
int | iServError

## Detailed Description

Base class common to all implementations

## Member Enumeration Documentation

enum OsclSocketServIBase::TSocketServState`[protected]`

  | Enumeration values:
  ESocketServ_Idle |
  ESocketServ_Connected |
  ESocketServ_Error |

## Constructor & Destructor Documentation

virtual OsclSocketServIBase::~OsclSocketServIBase | ( |  | ) | `[inline, virtual]`

OsclSocketServIBase::OsclSocketServIBase | ( | Oscl_DefAlloc & | a | ) | `[inline, protected]`

## Member Function Documentation

virtual void OsclSocketServIBase::Close | ( | bool |  | ) | `[pure virtual]`

| Implemented in OsclSocketServI.

virtual int32 OsclSocketServIBase::Connect | ( | uint32 | aMessageSlots,
|  | bool | aShareSession
| ) | `[pure virtual]`

| Implemented in OsclSocketServI.

bool OsclSocketServIBase::IsServConnected | ( |  | ) | const`[inline, protected]`

TSocketServState OsclSocketServIBase::State | ( |  | ) | const`[inline, protected]`

## Field Documentation

Oscl_DefAlloc& OsclSocketServIBase::iAlloc`[protected]`

PVLogger* OsclSocketServIBase::iLogger

int OsclSocketServIBase::iServError`[protected]`

TSocketServState OsclSocketServIBase::iServState`[protected]`

The documentation for this class was generated from the following file:

- oscl_socket_serv_imp_base.h